Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: tripwire

Interfaces

### Description:

File integrity checker.

### Interfaces:

tripwire_domtrans_siggen( domain )

##### Summary

Execute siggen in the siggen domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tripwire_domtrans_tripwire( domain )

##### Summary

Execute tripwire in the tripwire domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tripwire_domtrans_twadmin( domain )

##### Summary

Execute twadmin in the twadmin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tripwire_domtrans_twprint( domain )

##### Summary

Execute twprint in the twprint domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tripwire_run_siggen( domain , role )

##### Summary

Execute siggen in the siggen domain, and allow the specified role the siggen domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

tripwire_run_tripwire( domain , role )

##### Summary

Execute tripwire in the tripwire domain, and allow the specified role the tripwire domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

tripwire_run_twadmin( domain , role )

##### Summary

Execute twadmin in the twadmin domain, and allow the specified role the twadmin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

tripwire_run_twprint( domain , role )

##### Summary

Execute twprint in the twprint domain, and allow the specified role the twprint domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return